"""
@copyright: IBM
"""

from .analysis.applicationlog import ApplicationLog
from .analysis.remotesyslog import RemoteSyslog

class AnalysisDiagnostics(object):
    '''
    Object is used to manage and collect log files from Verify Identity Access deployments

    :var application_logs: retrieve :ref:`log files<Application Logs>` generated by verify identity access runtime applications
    :var remote_syslog: manage :ref:`remote syslog<Remote Syslog>` configuration used by Verify Identity Access.
    '''

class AnalysisDiagnostics9020(object):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9020, self).__init__()
        self.application_log = ApplicationLog(base_url, username, password)


class AnalysisDiagnostics9021(AnalysisDiagnostics9020):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9021, self).__init__(base_url, username, password)


class AnalysisDiagnostics9030(AnalysisDiagnostics9021):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9030, self).__init__(base_url, username, password)


class AnalysisDiagnostics9040(AnalysisDiagnostics9030):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9040, self).__init__(base_url, username, password)
        self.remote_syslog = RemoteSyslog(base_url, username, password)


class AnalysisDiagnostics9050(AnalysisDiagnostics9040):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9050, self).__init__(base_url, username, password)


class AnalysisDiagnostics9060(AnalysisDiagnostics9050):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9060, self).__init__(base_url, username, password)


class AnalysisDiagnostics9070(AnalysisDiagnostics9060):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9070, self).__init__(base_url, username, password)


class AnalysisDiagnostics9071(AnalysisDiagnostics9070):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9071, self).__init__(base_url, username, password)


class AnalysisDiagnostics9072(AnalysisDiagnostics9071):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9072, self).__init__(base_url, username, password)


class AnalysisDiagnostics9073(AnalysisDiagnostics9072):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9073, self).__init__(base_url, username, password)


class AnalysisDiagnostics9080(AnalysisDiagnostics9073):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics9080, self).__init__(base_url, username, password)


class AnalysisDiagnostics10000(AnalysisDiagnostics9080):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10000, self).__init__(base_url, username, password)


class AnalysisDiagnostics10010(AnalysisDiagnostics10000):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10010, self).__init__(base_url, username, password)


class AnalysisDiagnostics10020(AnalysisDiagnostics10010):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10020, self).__init__(base_url, username, password)


class AnalysisDiagnostics10030(AnalysisDiagnostics10020):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10030, self).__init__(base_url, username, password)


class AnalysisDiagnostics10031(AnalysisDiagnostics10030):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10031, self).__init__(base_url, username, password)


class AnalysisDiagnostics10040(AnalysisDiagnostics10031):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10040, self).__init__(base_url, username, password)


class AnalysisDiagnostics10050(AnalysisDiagnostics10040):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10050, self).__init__(base_url, username, password)

class AnalysisDiagnostics10060(AnalysisDiagnostics10050):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10060, self).__init__(base_url, username, password)

class AnalysisDiagnostics10070(AnalysisDiagnostics10060):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10070, self).__init__(base_url, username, password)

class AnalysisDiagnostics10070(AnalysisDiagnostics10060):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10070, self).__init__(base_url, username, password)

class AnalysisDiagnostics10080(AnalysisDiagnostics10070):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics10080, self).__init__(base_url, username, password)

class AnalysisDiagnostics11000(AnalysisDiagnostics10080):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics11000, self).__init__(base_url, username, password)

class AnalysisDiagnostics11010(AnalysisDiagnostics11000):

    def __init__(self, base_url, username, password):
        super(AnalysisDiagnostics11010, self).__init__(base_url, username, password)
